Method: geocode.address.geocodeAddressQuery

This method performs an address geocode, which maps an address to a LatLng. It also provides structured information about the address.

HTTP request

GET https://geocode.googleapis.com/v4alpha/geocode/address/{addressQuery}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
The address to geocode. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
addressQuery

string

The unstructured address to geocode.

End of mutually exclusive fields.

Query parameters

Parameters
locationBias

object (GeocodeAddressRequest.LocationBias)

Optional. The region to search. This location serves as a bias which means results around the given location are preferred.

languageCode

string

Optional. Language in which the results should be returned.

regionCode

string

Optional. Region code. The region code, specified as a ccTLD ("top-level domain") two-character value. The parameter affects results based on applicable law. This parameter will also influence, but not fully restrict, results from the service.

The address to geocode. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
address

object (PostalAddress)

The structured address to geocode in postal address format.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of GeocodeAddressResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/maps-platform.geocode
  • https://www.googleapis.com/auth/maps-platform.geocode.address